<?php
// +-------------------------------------------------+
// | 2002-2007 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: abts_modeles.class.php,v 1.50.4.1.2.1.2.3 2025/10/10 14:43:58 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

global $class_path, $include_path;
require_once($include_path."/templates/abts_modeles.tpl.php");
require_once($class_path."/abts/abts_modele.class.php");

class abts_modeles {
    
    public $modeles = array(); //Tableau des IDs des modèles
    
    public function __construct($id_perio) {
        $id_perio = intval($id_perio);
        $requete="select modele_id from abts_modeles where num_notice=$id_perio";
        $resultat=pmb_mysql_query($requete);
        while ($r=pmb_mysql_fetch_object($resultat)) {
            $modele=new abts_modele($r->modele_id);
            if (!$modele->error) $this->modeles[]=$modele;
        }
    }
}